var idFiTec="";
var tecnicoSeleccionado="";
$( document ).ready(function() {
	
	var idFicha=$("#idficha").val();
	var idMaquina= $("#idmaquina").val();
	
	
	
	$("#divNumAveria").hide();
	
	$("#GRID_fichaTecnicos").rup_grid({
		width: 865,
		//hasMaint:true,
		//cellEdit:true,
		url: "../fichatecnico/obtenerTecnicosFichaAsignadosGrid?idFicha=" + idFicha,
		pagerName: "pagerTec",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
	   onSelectRow: cargarEjecucionTecnico,
		colNames: [
			"F",
			"H",
			"idfitec",
			$.rup.i18n.app.parteTecnicos.estadogmao,
			$.rup.i18n.app.nuevo.nombre,
			$.rup.i18n.app.fichaTecnicos.tiemporeal,
			"",
			$.rup.i18n.app.parteTecnicos.aceptada,
			$.rup.i18n.app.nuevo.observ,
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			""
		],
		colModel: [
			{ name: "finalizado",
				label: "finalizado",
				index: "finalizado",
				width: "15",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idfitec",
				label: "idfitec",
				index: "idfitec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idtecnico",
				label: "idtecnico",
				index: "idtecnico",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "finalizado2",
				label: "finalizado2",
				index: "finalizado2",
				width: "40",
				align : "center",
				//hide:true,
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if(opts.movilgmao == '1'){
			    			if (opts.estadogmao && opts.estadogmao != ""){
				    			if(opts.estadogmao == "ASIG"){
				    				src=$.rup.APP_STATICS + "/images/asignado.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				    			}else if(opts.estadogmao == "CURS"){
				    				src=$.rup.APP_STATICS + "/images/encurso.gif";
				    				html = '<img width="22" height="22" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaocurs+'">';
				    			}else if(opts.estadogmao == "PAUSA"){
				    				src=$.rup.APP_STATICS + "/images/pausa.png";
				    				html = '<img width="17" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaopausa+'">';
				    			}else if(opts.estadogmao == "TERM"){
				    				src=$.rup.APP_STATICS + "/images/ok.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoterm+'">';
				    			}
				            }else{
				            	src=$.rup.APP_STATICS + "/images/asignado.png";
			    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				            }
			    		}else{
			    			if (opts.finalizado && opts.finalizado != 0){
			    				src=$.rup.APP_STATICS + "/images/ok.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" >';
			    			}else{
			    				src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'" >';
			    			}
			    		}
			    		

			            return html;
			    	}
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "120",
				editable: false,
				edittype: "text"
			},
			{ name: "tiemporeal",
				label: "tiemporeal",
				index: "tiemporeal",
				align : "center",
				width: "59",
				editable: false,
				edittype: "text",
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	if (cellval && cellval != ''){
                    		var fichaHoras=Math.floor(cellval/60);
                    		var fichaMinutos=cellval%60;
                    		html = '<spam width="20" height="20" id="idTR-'+el.rowId+'" title="'+$.rup.i18n.app.fichaTecnicos.tiemporeal+'">'+fichaHoras+':'+ fichaMinutos +' </spam>';
                    	}
                    	return html;
                	}
			},
			{
				name: "aceptada",
				hidden: true
			},
			{ name: "aceptada2",
				label: "aceptada2",
				index: "aceptada2",
				width: "40",
				align : "center",
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if (opts.aceptada && opts.aceptada != "0"){
			    			src=$.rup.APP_STATICS + "/images/accept.png";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.aceptadaTec+'">';
			    		}else if(opts.aceptada && opts.aceptada == "0"){
			    			src=$.rup.APP_STATICS + "/images/eliminar.gif";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.rechazadaTec+'">';
			            }else{
			            	html = '<span>-</span>';
			            }
		    			

			            return html;
			    	}
			},
			{ name: "observaciones",
				label: "observaciones",
				index: "observaciones",
				width: "250",
				editable: true,
				edittype: "text"
			},
			{ name: "idficha3",
                label: "notas",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/ver_detalle.gif";
                    	//if (cellval && cellval != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNota-'+el.rowId+'"  title="'+$.rup.i18n.app.fichaTecnicos.notas+'" onclick="abrirNotas(\''+el.rowId+'\');">';
                    	//}
                    	return html;
                	}
			},
			{ name: "enviomail",
                //label: "mail",
                align : "center",
                index: "enviomail",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
            		if(opts.movilgmao == '1'){
            			var src = $.rup.APP_STATICS + "/images/mobile.png";
                		html = '<img width="20" height="20" src='+src+' id="idMovilgmao-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.movilgmao+'">';
            		}else{
	                	if (cellval && cellval == '1'){
	                		var src = $.rup.APP_STATICS + "/images/enviada.png";
	                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.mailenviado+'" >';
	                	}
            		}
                	return html;
                	}
			},
			{ name: "idficha",
                label: "idficha",
                hidden:true,
                editable: false,
				edittype: "text"
			},
			{ name: "idficha2",
                label: "imprimir",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/imprimir.png";
                    	if (cellval && cellval != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.fichaTecnicos.imprimir+'" onclick="imprimir(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "notasTec",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
                	if (cellval && cellval != ''){
                		var src = $.rup.APP_STATICS + "/images/notastec.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';
                	}else{
                		/*var src = $.rup.APP_STATICS + "/images/nuevo.gif";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.NuevaNotasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';*/
                		html = '<span title="'+$.rup.i18n.app.parteTecnicos.sinNotasTec+'">-</span>';
                	}
                	return html;
            	}
			},						
			{ name: "notasTec",
				//label: "notasTec",
				index: "notasTec",
				width: "250",
				editable: true,
				edittype: "text",
				hidden:true
			},
			{ name: "firma",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                		var src = $.rup.APP_STATICS + "/images/firma.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idFirmaTec-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.firmaTec+'" onclick="mostrarFirmaTecnico(\''+el.rowId+'\');">';
                		return html;
                	}
			},
			{
				name: "movilgmao",
				index:"movilgmao",
				hidden:true
			}
        ]
		
	});

	
	
	//var idFicha = $("#idficha").val();
	$("#tecnicosLibres").empty();
	$("#tecnicosAsignados").empty();
	
	
	
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};
	
	$.ajax({
		type: "POST",
		url: "../procesosGmao/bajarOTpreventivaGmao",
		dataType: "json",
		data:  { idFicha:idFicha},
		beforeSend : function(data) {
			//Mostrar div de sincronizando
			//Dialogo con el mensaje y barra de sincronizar con gmao...
			$("#dialogoSincronizar").rup_dialog(
			{
				type : $.rup.dialog.DIV,
				height : 200,
				width : 500,
				modal : true,
				showLoading : true,
				autoOpen : false,
				title : $.rup.i18n.app.mensajesEdificios.sincronizando
			});
			$("#dialogoSincronizar").rup_dialog("open");
		},
		success: function(data){
			respuesta = data;
			if(respuesta == "OK" || respuesta == ""){
				$("#feedbackFichaTecnicos").rup_feedback (propertiesOK);
				$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
				$("#feedbackFichaTecnicos").rup_feedback("show");
				$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				
				$("#GRID_fichaActuaciones").rup_grid("reloadGrid");
				
				$.ajax({
					  type: "POST",
					  url: "../tecnicos/obtenerTecnicosFichaAsignados",
					  data:  { idFicha:idFicha},
					  success: function(data){
						  var miselect=$("#tecnicosAsignados");
						  $("#tecnicosAsignados").empty();
						  for (var i=0; i<data.length; i++) {
			                	if(data[i].presente){
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			                	}else{
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			                	}
			                }										  
						  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
				
				$.ajax({
					  type: "POST",
					  url: "../tecnicos/obtenerTecnicosFichaLibres",
					  data:  { idMaquina:idMaquina, idFicha:idFicha},
					  success: function(data){
						  var miselect=$("#tecnicosLibres");
						  $("#tecnicosLibres").empty();
						  for (var i=0; i<data.length; i++) {
			                	if(data[i].presente){
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			                	}else{
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			                	}
			                }									  
						  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
				
				$("#generalFicha").rup_tabs("loadTab",{
					  idTab: "tabs",
					  position: 1
				});
				
			}else{
				$("#feedbackFichaTecnicos").rup_feedback (propertiesError);
				$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
				$("#feedbackFichaTecnicos").rup_feedback("show");
			}
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
				  
		},
		error: function(data) {
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
	 		$("#feedbackFichaTecnicos").rup_feedback (propertiesError);
	 		$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
	 		$("#feedbackFichaTecnicos").rup_feedback("show");
			  
		}
	});
  
	
	$("#GRID_fichaTecnicosEjec").rup_grid({
		width: 865,
		hasMaint:true,
		//cellEdit:true,
		url: "../fichaejecucion/ejecucionesFicha?idFiTec=" + idFiTec,
		pagerName: "pagerEjec",
		rowNum: "5",
		sortorder: "asc",
		sortname: "idficeje",
		colNames: [
			"idficeje",
			"idfitec",
			$.rup.i18n.app.fichaEjecucion.fechaInicio,
			$.rup.i18n.app.fichaEjecucion.fechaFin
		],
		colModel: [
			{ name: "idficeje",
				label: "idficeje",
				index: "idficeje",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idfitec",
				label: "idfitec",
				index: "idfitec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "feini",
				label: "feini",
				index: "feini",
				width: "150",
				editable: false,
				edittype: "text"
			},
			{ name: "fefin",
				label: "fefin",
				index: "fefin",
				width: "150",
				editable: false,
				edittype: "text"
			}		
        ]
		
	});
	$("#fichaTecnicosEjec").rup_maint({
		jQueryGrid: "GRID_fichaTecnicosEjec",
		primaryKey: "idficeje",
		modelObject: "Fichaejecucion",
		searchForm: "busquedaFichaEjec",
		//showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: []
	
			}
	});
	$("#GRID_fichaTecnicosEjec").unbind("dblclick");
	$("#fichaTecnicosEjec").hide();
	$("#labelTecnico").hide();
	$("#labelEjecTecnico").hide();

	tecnicosModoConsulta();

});

function tecnicosModoConsulta(){
	//No se permiten modificar datos porque es un parte repetido. Solo se puede modificar el padre
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-fichaTecnicosEjec").hide();

}

function fncDetalleEjec(){
	
	if ($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}
	
	if ($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	var feini = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).feini;
	var fefin = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).fefin;
	var idficeje = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).idficeje;
	
	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
	}catch(e){
		
	}

	$("#editarEjec").rup_dialog("destroy");
	$("#formFichaEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click:function (){
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarModifEjecucion();	
	        		}
	        	}
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);

	$("#accionEje").val("MODIFICAR");
	$("#idfitecEjec").val(idFiTec);
	//$("#idFechaInicio").val(feini);
	$("#idFechaInicio").rup_date("setRupValue",feini);
	
	//$("#idFechaFin").val(fefin);
	$("#idFechaFin").rup_date("setRupValue",fefin);
	$("#idficejeEjec").val(idficeje);
}
function cargarEjecucionTecnico(){
	$("#fichaTecnicosEjec").show();
	$("#labelTecnico").show();
	$("#labelEjecTecnico").show();
	
	$("#GRID_fichaTecnicosEjec").show();
	idFiTec=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	$("#idfitec_search").val(idFiTec);
	
	$("#fichaTecnicosEjec").rup_maint("search");
	
	$("#labelTecnico").html($("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre);
	
	var valorActual = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	if (valorActual=="1"){
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-fichaTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-fichaTecnicosEjec").show();
	}
	
	//Si el técnico seleccionado tiene aplicación móvil, ocultamos el botón de nuevo y eliminar
	var valormovilgmao = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).movilgmao;
	if(valormovilgmao == "1"){
		$("#rup-maint_toolbar-fichaTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-fichaTecnicosEjec").show();
	}

	
}
function imprimir(){
	// obtener idficha seleccionado.
	 var idFicha=$("#idficha").val();
	 var idMaquina=$("#idmaquina").val();
	 
	$("#idFicha").val(idFicha);
	$("#idmaquina_ficha").val(idMaquina);
	
	 //Se envia el formulario con el idmaquina y el idficha
	$("#filtroImprimirFichasForm").attr("target","_blank");
	$("#filtroImprimirFichasForm").submit();
}


function abrirNotas(IDseleccionado){
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
			
	var observaciones = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).observaciones;
	var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	var idficha = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idficha;
	//Mostrar la ventana de lupa Notas

	$('#idtextoNotas').attr('readonly', false);
	
	$("#lupaNotas").rup_dialog("destroy");
	$("#lupaNotas").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotas",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        	}
        	},
	        {
	    		id: "cerrarLupaNotas",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotas").val(observaciones);
	
}


function abrirNotasTecnico(IDseleccionado){
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
			
	var notasTec = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).notasTec;
	var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	//Mostrar la ventana de lupa Notas

	$('#idtextoNotasTecnico').attr('readonly', false);
	
	$("#lupaNotasTecnico").rup_dialog("destroy");
	$("#lupaNotasTecnico").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotasTecnico",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		$("#lupaNotasTecnico").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotasTecnico",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotasTecnico").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotasTecnico").val(notasTec);
	
	//******************IMPORTANTE **************
	// este fichero es para el responsable y/o administrador
	// El usuario responsable y/o administrador no puede modificar las notas de los tecnicos
	$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
}


	



function mostrarFirmaTecnico(IDseleccionado){
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
	
	var finalizado = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var idficha = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idficha;
	var idtecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idfichatecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	
	//Si esta finalizado tiene la imagen de la firma
	if(finalizado != null && finalizado != 0){
		
		//Mostrar la ventana de lupa del plano
		$("#lupaFirma").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:360,
	        width:480,  
	        resizable:false,
	        title:"",
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[
		        {
		    		id: "cerrarLupaFirma",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaFirma").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
		 var cPunto = document.getElementById("canvaFirma1");
		 var ctxPunto = cPunto.getContext("2d");
		
		 planoFirma = new Image();
		 planoFirma.onload=function(){
			 ctxPunto.clearRect( 0, 0, 640, 480);
			 ctxPunto.drawImage(planoFirma, 0, 0, 320, 240);
			 
		 };
		planoFirma.src="../procesosGmao/mostrarFirmaFicha?idficha=" + idficha + "&idtecnico="+idtecnico+"&idfitec="+idfichatecnico;

		
	}else{
		alert("El técnico todavía no ha finalizado las ejecuciones");
	}
}
